#
# spec file for package gdm (Version 2.4.4.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  gnome-filesystem gnome2-devel-packages intltool libgsf libgsf-devel librsvg librsvg-devel libxslt pam-devel perl-XML-Parser scrollkeeper tcpd

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgsf libgsf-devel libjpeg librsvg librsvg-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt linc linc-devel openssl-devel orbit2 orbit2-devel pam-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm scrollkeeper tcpd-devel update-desktop-files

Name:           gdm
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
PreReq:         /usr/sbin/useradd
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.4.4.7
Release:        35.4
Summary:        The GNOME 2.x Display Manager
Source:         %{name}-%{version}.tar.bz2
Source3:        Default
Source4:        gdm.pamd
Source5:        gdm-autologin.pamd
Source6:        gdm-sessions.tar.bz2
Patch:          gdm-conf.diff
Patch1:         desktop-files.dif
Patch2:         gdm-bash-profile.patch
Patch3:         gdm-language-dialog-size.patch 
Patch4:         gdm-xdefaults.dif
Patch5:         gdm-xdm-sessions.dif
Patch6:         gdm-prevent-unauthorized-config.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Docdir:         %{_defaultdocdir}
Provides:       gdm2
Obsoletes:      gdm2
Requires:       gnome2-SuSE

%description
This version of GDM, the GNOME Display manager, is based on GTK2 and is
suited for the GNOME 2.x Desktop. GDM is a flexible X Window System
display manager that has many options, is usable for remote login, and
provides a good looking graphical interface.



%prep
%setup
%patch -p1
# %patch1
%patch2 -p1 
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
# Create UTF-8 as alternative for all locales.
#sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8\
#\1(UTF-8)\2\3UTF-8,\4:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
#mv config/locale.alias~ config/locale.alias
# Prefer non UTF-8 for all locales.
#sed 's:\([^ 	]*\)\([ 	][ 	]*\)\(.*\)UTF-8,\(.*\):\1	\2\4,\3UTF-8:g' <config/locale.alias | sed 's:^\([^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	][^ 	]\)*(UTF-8):&	:' >config/locale.alias~
#mv config/locale.alias~ config/locale.alias

%build
libtoolize --force
aclocal -I . 
automake --add-missing -c
autoconf
export ac_aux_dir=$RPM_BUILD_DIR/gdm-%{version}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde \
    --enable-platform-gnome2 \
    --libexecdir=/opt/gnome/%_lib/gdm
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install-strip DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# rm $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Gnome
# rm $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Xsession
# cp %SOURCE3 $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Default
# chmod +x $RPM_BUILD_ROOT/etc/opt/gnome/gdm/Sessions/Default
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %SOURCE4 $RPM_BUILD_ROOT/etc/pam.d/gdm
cp %SOURCE5 $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
mv $RPM_BUILD_ROOT%{prefix}/bin/gdm-binary $RPM_BUILD_ROOT%{prefix}/bin/gdm
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm
rm -f $RPM_BUILD_ROOT/etc/opt/gnome/pam.d/gdm-autologin
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/control-center-2.0/capplets/
cp $RPM_BUILD_ROOT/opt/gnome/share/gnome/capplets/*.desktop $RPM_BUILD_ROOT/opt/gnome/share/control-center-2.0/capplets/
rm -fr $RPM_BUILD_ROOT/opt/gnome/share/gnome/capplets
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
mv $RPM_BUILD_ROOT/etc/opt/gnome/gdm/PostLogin/Default.sample $RPM_BUILD_ROOT/etc/opt/gnome/gdm/PostLogin/Default
%find_lang %{name}-2.4
# %suse_update_desktop_file gdmsetup               SystemSetup
# %suse_update_desktop_file gdmflexiserver         RemoteAccess
# %suse_update_desktop_file gdmflexiserver-xnest   RemoteAccess
# rm /intltool-update.in
cd $RPM_BUILD_ROOT/opt/gnome/share/xsessions/
tar xvfj %SOURCE6 

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -g shadow -u 50 -s /bin/bash \
-c "Gnome Display Manager daemon" -d /var/lib/gdm gdm 2> /dev/null || :

%files -f %files -f %{name}-2.4.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %config /etc/opt/gnome/gdm
%dir %config /etc/opt/gnome/dm
%dir %config /etc/opt/gnome/dm/Sessions
%dir %{prefix}/share/omf/gdm
%dir  /opt/gnome/share/gnome/help/gdm/C
%dir /opt/gnome/share/xsessions
/etc/%{prefix}/gdm
%{prefix}/share/omf/gdm/gdm-C.omf
%{prefix}/sbin/*
%{prefix}/bin/*
%{prefix}/share/gdm
%{prefix}/share/applications/*.desktop
%{prefix}/share/pixmaps/*.png
%{prefix}/%_lib/gtk-2.0/modules/*
%dir %{prefix}/%_lib/gdm
%{prefix}/%_lib/gdm/*
%dir %{prefix}/share/gnome/help/gdm
%{prefix}/share/gnome/help/gdm/C/*
/etc/%{prefix}/dm/Sessions/default.desktop
%doc %{prefix}/share/man/man1/*.*
%{prefix}/share/xsessions/*.desktop
/opt/gnome/share/control-center-2.0/capplets/*.desktop
%attr(750,gdm,shadow) %dir /var/lib/gdm
%config /etc/pam.d/*

%changelog -n gdm
* Tue Jun 06 2006 - sbrabec@suse.cz
- Don't let any user configure GDM from the login screen if a
  theme with user list is in effect (CVE-2006-2452, #180219).
* Wed Mar 31 2004 - hhetter@suse.de
- startup in graphical theme (#37668)
- Require gnome2-SuSE for the Default Theme (#37707)
- honor xdm scripts (#37852)
* Tue Mar 23 2004 - sbrabec@suse.cz
- Non-UTF-8 locales removed from language menu.
* Mon Mar 22 2004 - hhetter@suse.de
- remove SuSEconfig.gdm; it's no longer needed to manage
  the available sessions for gdm, as it is now using desktop
  files to define it's sessions (#36267)
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Tue Mar 09 2004 - hhetter@suse.de
- include desktop files for sessions
* Tue Mar 02 2004 - hhetter@suse.de
- updated to version 2.4.4.7 [GNOME 2.4.2]
- applied adapted bash-login-shell patch
- adapted desktop file patch
- adapted configuration file (use tools from powersave)
* Thu Feb 26 2004 - hhetter@suse.de
- attached patch: gdm-2.4.1.6-bash-login-shell.patch,
  make sure a login shell is available when using
  bash
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to gdm.
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Sep 18 2003 - adrian@suse.de
- add Categories
- show entries only in Gnome (#31287)
* Fri Sep 05 2003 - hhetter@suse.de
- added Obsoletes: gdm
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 - hhetter@suse.de
- updated to version 2.4.1.6
* Mon Jul 28 2003 - kukuk@suse.de
- Make sure /var/lib/gdm has correct permissions
* Fri Jul 25 2003 - hhetter@suse.de
- move capplets to correct position
- fix build
* Wed Jul 16 2003 - sbrabec@suse.cz
- Fixed prefix in configuration files.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.4.
- Fixed default path to Xwilling.
- Updated neededforbuild.
- Use %%find_lang.
- Prefix clash fix (capplets).
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon May 26 2003 - sbrabec@suse.cz
- Re-enabled UTF-8 alternatives for all locales.
* Sun Mar 16 2003 - adrian@suse.de
- add resmgr support to pam
* Mon Mar 10 2003 - hhetter@suse.de
- use LC_MESSAGES instead of LC_ALL for setlocale
  ( Bug Id#24889 )
* Thu Feb 27 2003 - sbrabec@suse.cz
- Removed gdm wrapper (fixes problems with default language and init
  script - bug #23875).
* Tue Feb 25 2003 - sbrabec@suse.cz
- Don't offer UTF-8 locales.
* Mon Feb 24 2003 - hhetter@suse.de
- use graphical greeter by default
* Thu Feb 20 2003 - sbrabec@suse.cz
- Use system language for GDM login from /etc/sysconfig/language.
* Tue Feb 18 2003 - sbrabec@suse.cz
- Updated default config and locale aliases (UTF-8 locales).
* Fri Feb 07 2003 - hhetter@suse.de
- updated to 2.4.1.3 [GNOME 2.2.0]
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Tue Jan 07 2003 - sbrabec@suse.cz
- Update to version 2.4.1.0.
- Make Default session file executable.
- Added UTF-8 as alternative for all locales.
- Turned on TCP wrappers support.
* Mon Jan 06 2003 - sbrabec@suse.cz
- Install SuSE specific PAM configuration (from xdm), fix its install
  place.
- Removed sox from neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.4.0.12 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Sun Nov 03 2002 - mfabian@suse.de
- Bug Id #21407: correct wrong spelling of UTF-8 locale names
  in /etc/opt/gnome2/gdm/locale.alias. de_DE.utf8 was used
  instead of de_DE.UTF-8 etc., but de_DE.UTF-8 is not supported
  by X11, although de_DE.utf8 and de_DE.UTF-8 is the same
  as far as glibc is concerned, the correct spelling is important
  for X11.
- Bug Id #21408: When using gdm2 the usual intialization file
  of an X session, i.e. ~/.xinitrc, ~/.xsession, ~/.Xmodmap
  ~/.xim etc. were not read. Because of this, inputservers for CJK
  languages did not start automatically and other default
  settings were not correct either.
  I fixed this by improving /etc/opt/gnome2/gdm/Sessions/Default
  to use 'exec /etc/X11/xdm/Xsession $WINDOWMANGER $GDM_LANG'.
  This makes the default behaviour when using gdm2 the same
  as when using kdm or xdm.
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Sep 05 2002 - hhetter@suse.de
- updated to version 2.4.0.11, fixing a security issue
  (no longer open the logging file descriptor as root in
  slave.c ) ( Bug Id #18908 )
* Mon Sep 02 2002 - hhetter@suse.de
- if no session was chosen or previously saved, choose
  the gnome session ( Bug Id #18729)
* Fri Aug 30 2002 - hhetter@suse.de
- fix default script and session linking (Bug Id#18602)
* Thu Aug 22 2002 - hhetter@suse.de
- parse correct Session directory (Bug Id#18181)
* Tue Aug 20 2002 - hhetter@suse.de
- fix prereq
* Mon Aug 12 2002 - hhetter@suse.de
- updated to version 2.4.0.7
- fix neddedforbuild
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 2.4.0.5
- fix typo in SuSEconfig script (#17438)
- fix linking of sessions
* Wed Jul 17 2002 - hhetter@suse.de
- updated to version 2.4.0.2
  * busy cursor when start X
  * 'System Default' language choice
  * fix unresponsive behaviour when first asking for
  username in graphical greeter #83187 (bugzilla.gnome.org)
  * 'Last' language choice in graphical greeter
  * 24 hour clock setting in graphical greeter
  * Happy Gnome Theme Update
  * more languages supported #84290 (bugzilla.gnome.org)
  * Translation updates
* Thu Jul 11 2002 - hhetter@suse.de
- fix default session
- activate graphical gdmgreeter for local logins by default
* Wed Jul 10 2002 - hhetter@suse.de
- updated to version 2.4.0.1, bugfix release
- SuSEconfig.gdm2 to manage the GDM sessions
* Tue Jul 09 2002 - hhetter@suse.de
- initial SuSE package
- create gdm user
